summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2023-01-20 16:24:09 +0100
committerRemi Collet <remi@php.net>2023-01-20 16:24:09 +0100
commit5644495bff76f3239dd21ef8688e4da65cf5c5df (patch)
tree37ed38be90d842e3f385283537456117ad3f49a2
parent2b385005bea13aeab6456e15f2cc055ed98306e9 (diff)
update to 4.0.0HEADmaster
raise dependency on PHP 7.4 raise dependency on sabre/uri v2 rename to php-sabre-xml4 move to /usr/share/php/Sabre/Xml4
-rw-r--r--composer.json15
-rw-r--r--php-sabre-xml4.spec39
2 files changed, 32 insertions, 22 deletions
diff --git a/composer.json b/composer.json
index 4524cf5..9996cec 100644
--- a/composer.json
+++ b/composer.json
@@ -5,12 +5,12 @@
"homepage" : "https://sabre.io/xml/",
"license" : "BSD-3-Clause",
"require" : {
- "php" : "^7.1 || ^8.0",
+ "php" : "^7.4 || ^8.0",
"ext-xmlwriter" : "*",
"ext-xmlreader" : "*",
"ext-dom" : "*",
"lib-libxml" : ">=2.6.20",
- "sabre/uri" : ">=1.0,<3.0.0"
+ "sabre/uri" : ">=2.0,<4.0.0"
},
"authors" : [
{
@@ -44,13 +44,16 @@
}
},
"require-dev": {
- "friendsofphp/php-cs-fixer": "~2.17.1",
- "phpstan/phpstan": "^0.12",
- "phpunit/phpunit" : "^7.5 || ^8.5 || ^9.0"
+ "friendsofphp/php-cs-fixer": "^3.9",
+ "phpstan/phpstan": "^1.8",
+ "phpunit/phpunit" : "^9.0"
},
"scripts": {
"phpstan": [
- "phpstan analyse lib tests"
+ "phpstan analyse"
+ ],
+ "phpstan-baseline": [
+ "phpstan analyse --generate-baseline phpstan-baseline.neon"
],
"cs-fixer": [
"php-cs-fixer fix"
diff --git a/php-sabre-xml4.spec b/php-sabre-xml4.spec
index ed21bcb..4747c29 100644
--- a/php-sabre-xml4.spec
+++ b/php-sabre-xml4.spec
@@ -1,7 +1,7 @@
# remirepo/fedora spec file for php-sabre-xml2
#
-# Copyright (c) 2016-2020 Remi Collet
-# License: CC-BY-SA
+# Copyright (c) 2016-2023 Remi Collet
+# License: CC-BY-SA-4.0
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
@@ -10,7 +10,7 @@
%bcond_without tests
# Github
-%global gh_commit a6af111850e7536d200d9637c34885cd3c77a86c
+%global gh_commit 5051b30416b60f52395007c7069acbd010edd2a7
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sabre-io
%global gh_project xml
@@ -20,11 +20,11 @@
# Namespace
%global ns_vendor Sabre
%global ns_project Xml
-%global major 2
+%global major 4
Name: php-%{pk_vendor}-%{pk_project}%{major}
Summary: XML library that you may not hate
-Version: 2.2.5
+Version: 4.0.0
Release: 1%{?dist}
URL: https://github.com/%{gh_owner}/%{gh_project}
@@ -35,13 +35,13 @@ Source1: makesrc.sh
BuildArch: noarch
%if %{with tests}
-BuildRequires: php(language) >= 7.1
+BuildRequires: php(language) >= 7.4
BuildRequires: php-xmlwriter
BuildRequires: php-xmlreader
BuildRequires: php-dom
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-composer(sabre/uri) >= 1.0 with php-composer(sabre/uri) < 3)
+BuildRequires: (php-composer(sabre/uri) >= 2.0 with php-composer(sabre/uri) < 4)
# remirepo:3
%else
BuildRequires: php-sabre-uri2
@@ -50,9 +50,9 @@ BuildRequires: php-libxml
BuildRequires: php-pcre
BuildRequires: php-spl
# From composer.json, "require-dev": {
-# "friendsofphp/php-cs-fixer": "~2.17.1",
-# "phpstan/phpstan": "^0.12",
-# "phpunit/phpunit" : "^7.5 || ^8.5 || ^9.0"
+# "friendsofphp/php-cs-fixer": "^3.9",
+# "phpstan/phpstan": "^1.8",
+# "phpunit/phpunit" : "^9.0"
BuildRequires: phpunit9
%global phpunit %{_bindir}/phpunit9
%endif
@@ -60,19 +60,19 @@ BuildRequires: phpunit9
BuildRequires: php-fedora-autoloader-devel
# From composer.json, "require" : {
-# "php" : "^7.1 || ^8.0",
+# "php" : "^7.4 || ^8.0",
# "ext-xmlwriter" : "*",
# "ext-xmlreader" : "*",
# "ext-dom" : "*",
# "lib-libxml" : ">=2.6.20",
-# "sabre/uri" : ">=1.0,<3.0.0"
-Requires: php(language) >= 7.1
+# "sabre/uri" : ">=2.0,<3.0.0"
+Requires: php(language) >= 7.4
Requires: php-xmlwriter
Requires: php-xmlreader
Requires: php-dom
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-composer(sabre/uri) >= 1.0 with php-composer(sabre/uri) < 3)
+Requires: (php-composer(sabre/uri) >= 2.0 with php-composer(sabre/uri) < 4)
# remirepo:3
%else
Requires: php-sabre-uri2
@@ -102,8 +102,8 @@ cat << 'EOF' | tee -a lib/autoload.php
// Dependencies
\Fedora\Autoloader\Dependencies::required([
[
+ '%{_datadir}/php/Sabre/Uri3/autoload.php',
'%{_datadir}/php/Sabre/Uri2/autoload.php',
- '%{_datadir}/php/Sabre/Uri/autoload.php',
],
]);
@@ -145,7 +145,7 @@ cd tests
: Run upstream test suite against installed library
ret=0
-for cmdarg in "php %{phpunit}" php73 php74 php80 php81; do
+for cmdarg in "php %{phpunit}" php80 php81 php82; do
if which $cmdarg; then
set $cmdarg
$1 ${2:-%{_bindir}/phpunit9} || ret=1
@@ -167,6 +167,13 @@ exit $ret
%changelog
+* Fri Jan 20 2023 Remi Collet <remi@remirepo.net> - 4.0.0-1
+- update to 4.0.0
+- raise dependency on PHP 7.4
+- raise dependency on sabre/uri v2
+- rename to php-sabre-xml4
+- move to /usr/share/php/Sabre/Xml4
+
* Thu Nov 4 2021 Remi Collet <remi@remirepo.net> - 2.2.5-1
- update to 2.2.5